This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 9300 - Bad options for pcmcia Configure
Bad options for pcmcia Configure
Status: CLOSED CURRENTRELEASE
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-10 09:20 EST by Michael Tokarev
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-10 09:20:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Tokarev 2000-02-10 09:20:27 EST
When building kernel package.
Rpm .spec file for kernel says (BuildPCMCIA):
make -C pcmcia-cs-%{pcmciaver} config <<EOF
$RPM_BUILD_DIR/linux
$RPM_BUILD_ROOT
/lib/modules/%{KVERREL}$1
$RPM_OPT_FLAGS
gcc
y
y
y
2
y
/etc/rc.d
EOF

But: pcmcia config script expects answers to this questions
(note entry marked with asterisk):
 Linux source directory (ok)
 Alternate target install directory (ok)
 Module install directory (ok)
*Build 'trusting' versions of card utilities (y/n) -- got $RPM_OPT_FLAGS,
  gcc, and y finally
 Include 32-bit (CardBus) card support (y/n) (ok)
 Include PnP BIOS resource checking (y/n)
 kernel-specific options (1-2) (ok)
 System V init script layout (y/n) (ok)
 Top-level directory for RC scripts (ok)

Configure script that is called by "make config" have options for
all of this stuff and other.  My suggestion is to put direct call to
Configure from .spec rather than this options in "correct" order.

(this is for version 2.2.14-1.3.0 and some earlier)
Comment 1 Michael Tokarev 2000-10-19 13:24:24 EDT
Cured for new pcmcia.

Note You need to log in before you can comment on or make changes to this bug.